%define rname Compress-Zlib

Summary: Compress-Zlib module for perl 
Name: perl-Compress-Zlib
Version: 1.19
Release: 1.dag
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: http://www.cpan.org/authors/id/P/PM/PMQS/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: perl >= 0:5.004, zlib-devel >= 1.0.2
Requires: perl >= 0:5.004, zlib >= 1.0.2

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description
Compress-Zlib module for perl

%prep
%setup -n %{rname}-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL PREFIX="%{buildroot}%{_prefix}" INSTALLDIRS="vendor"
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README ANNOUNCE
%{_libdir}/perl5/
%{_mandir}/man?/*

%changelog
* Sun Jan 26 2003 Dag Wieers <dag@wieers.com>
- Initial package. (using dar)
